<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.kcim.dao.mapper.GenericBatchMapper">
    <!-- 通用批量插入语句，通过Provider动态生成SQL -->
    <insert id="insertBatch" useGeneratedKeys="true" keyProperty="id">
        ${@com.kcim.dao.mapper.BatchInsertProvider@insertBatch(list)}
    </insert>
</mapper>